# Developer

## GET /developer/apps

> List the current user's developer applications.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/developer/apps":{"get":{"tags":["Developer"],"description":"List the current user's developer applications.","responses":{"200":{"description":"Default Response"}}}}}}
```

## POST /developer/apps

> Create a developer application and return its API key.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/developer/apps":{"post":{"tags":["Developer"],"description":"Create a developer application and return its API key.","responses":{"200":{"description":"Default Response"}}}}}}
```

## DELETE /developer/apps/{appId}

> Delete a developer application.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/developer/apps/{appId}":{"delete":{"tags":["Developer"],"description":"Delete a developer application.","parameters":[{"schema":{"type":"string"},"in":"path","name":"appId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## PATCH /developer/apps/{appId}

> Rename a developer application.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/developer/apps/{appId}":{"patch":{"tags":["Developer"],"description":"Rename a developer application.","parameters":[{"schema":{"type":"string"},"in":"path","name":"appId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## PUT /developer/apps/{appId}/authorise

> Authorise a developer application for a site.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/developer/apps/{appId}/authorise":{"put":{"tags":["Developer"],"description":"Authorise a developer application for a site.","parameters":[{"schema":{"type":"string"},"in":"path","name":"appId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```

## GET /developer/apps/{siteId}/authorised

> List developer applications authorised for a site.

```json
{"openapi":"3.0.3","info":{"title":"Incident Tracker API","version":"1.0.0"},"servers":[{"url":"https://api.kitehouse.co.uk"}],"paths":{"/developer/apps/{siteId}/authorised":{"get":{"tags":["Developer"],"description":"List developer applications authorised for a site.","parameters":[{"schema":{"type":"string"},"in":"path","name":"siteId","required":true}],"responses":{"200":{"description":"Default Response"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kitehouse.co.uk/docs/api-reference/developer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
